using System.Xml.Serialization;
using NewRock.Sdk.Control.Request.Base;

namespace NewRock.Sdk.Control.Request
{
    [XmlRoot("Control")]
    public class ClearCallRequest: INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("ext")]
        public Ext Ext { get; set; }

        [XmlElement("visitor")]
        public ClearCallVisitor Visitor { get; set; }

        [XmlElement("outer")]
        public ClearCallOuter Outer { get; set; }
    }

    public class ClearCallVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class ClearCallOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
